=== debian/changelog ===
jupyter-notebook (6.4.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python3-notebook: Add Breaks: cadabra2 (<< 2.4.3.2-1.1~).
  * Add python3-notebook.maintscript to restore the
    /usr/lib/python3/dist-packages/notebook/static/components/codemirror
    symlink in case buggy cadabra2 was installed first.  (Closes: #1036021)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 May 2023 01:18:59 +0200

jupyter-notebook (6.4.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:04:20 +0200

jupyter-notebook (6.4.12-2) unstable; urgency=medium

  * create-react-class webpack: disable minimization
    This caused the build to fail when multiple CPUs were available, for
    reasons that presumably made sense to the javascript libs in question.
  * Close additional FTBFS bugs: Closes: #1008422, #1011522

 -- Gordon Ball <gordon@chronitis.net>  Sat, 01 Oct 2022 00:58:58 +0200

jupyter-notebook (6.4.12-1) unstable; urgency=medium

  [ Jerome Benoit ]
  * Remove myself from the Uploaders list.

  [ Julien Puydt ]
  * Package new upstream (Closes: #1015783, #1013272, #1014771).
  * Refresh patches.
  * Add patch to drop dep on google caja.
  * Add missing build-depends.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 30 Sep 2022 19:25:29 +0000

jupyter-notebook (6.4.8-2) unstable; urgency=medium

  * Team upload.
  * Add b-dep on python3-ipython-genutils (wasn't noticed for
    transitivity reasons!).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 May 2022 21:43:12 +0200
