=== debian/control ===
Source: jupyter-notebook
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: python
Priority: optional
Standards-Version: 4.6.0
Homepage: https://github.com/jupyter/notebook
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
Build-Depends: debhelper-compat (= 13),
               dh-python,
               fonts-font-awesome,
               libjs-backbone,
               libjs-bootstrap,
               libjs-bootstrap-tour,
               libjs-codemirror (>= 5.56),
               libjs-es6-promise,
               libjs-jed,
               libjs-jquery (>= 3.5),
               libjs-jquery-typeahead,
               libjs-jquery-ui,
               libjs-marked (>= 4.0.9~),
               libjs-mathjax,
               libjs-moment,
               libjs-requirejs,
               libjs-requirejs-text,
               libjs-text-encoding,
               libjs-underscore,
               libjs-xterm (>= 3.8.1-3~),
               node-babel-loader,
               node-buffer,
               node-deepmerge,
               node-escape-string-regexp,
               node-fbjs,
               node-htmlparser2,
               node-is-plain-object,
               node-less,
               node-loose-envify,
               node-lumino,
               node-object-assign,
               node-po2json (>= 0.4.5-2~),
               node-postcss,
               node-react (>= 16.13),
               node-react-dom,
               node-requirejs,
               node-source-map,
               node-typescript,
               node-url,
               nodejs,
               pandoc,
               pkg-js-tools,
               python3-all,
               python3-argon2,
               python3-entrypoints <!nocheck>,
               python3-ipykernel <!nocheck>,
               python3-ipython <!nocheck>,
               python3-ipython-genutils,
               python3-jupyter-client (>= 5.3.4) <!nocheck>,
               python3-jupyter-core (>= 4.6.1) <!nocheck>,
               python3-nbconvert <!nocheck>,
               python3-nbformat <!nocheck>,
               python3-nbsphinx <!nodoc>,
               python3-nest-asyncio (>= 1.5) <!nocheck>,
               python3-prometheus-client <!nocheck>,
               python3-pytest <!nocheck>,
               python3-requests <!nocheck>,
               python3-requests-unixsocket <!nocheck>,
               python3-send2trash (>= 1.8) <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-terminado (>= 0.8.3) <!nocheck>,
               python3-tornado (>= 6.1) <!nocheck>,
               python3-zmq <!nocheck>,
               webpack
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-notebook
Architecture: all
Depends: fonts-font-awesome,
         libjs-backbone,
         libjs-bootstrap,
         libjs-bootstrap-tour,
         libjs-codemirror (>= 5.56),
         libjs-es6-promise,
         libjs-jed,
         libjs-jquery (>= 3.5),
         libjs-jquery-typeahead,
         libjs-jquery-ui,
         libjs-marked (>= 4.0.9~),
         libjs-mathjax,
         libjs-moment,
         libjs-requirejs,
         libjs-requirejs-text,
         libjs-text-encoding,
         libjs-underscore,
         libjs-xterm (>= 3.8.1-3~),
         python3-terminado (>= 0.8.3),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-ipykernel, python3-ipywidgets
Suggests: python-notebook-doc
Breaks: jupyter-nbextension-jupyter-js-widgets (<< 6.0.0-6~)
 , cadabra2 (<< 2.4.3.2-1.1~)
Description: Jupyter interactive notebook (Python 3)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 3 library.

Package: python-notebook-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Jupyter interactive notebook (documentation)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the documentation.

Package: jupyter-notebook
Architecture: all
Section: science
Depends: jupyter-core,
         python3-notebook (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter interactive notebook
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package provides the jupyter subcommands "notebook", "nbextension",
 "serverextension" and "bundlerextension".
