=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: jupyter-notebook
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
-Homepage: https://github.com/jupyter/notebook
-Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                fonts-font-awesome,
                libjs-backbone,
                libjs-bootstrap,
                libjs-bootstrap-tour,
-               libjs-codemirror (>= 5.56),
+               libjs-codemirror,
                libjs-es6-promise,
                libjs-jed,
-               libjs-jquery (>= 3.5),
+               libjs-jquery,
                libjs-jquery-typeahead,
                libjs-jquery-ui,
                libjs-marked (>= 4.0.9~),
@@ -26,7 +23,7 @@
                libjs-requirejs-text,
                libjs-text-encoding,
                libjs-underscore,
-               libjs-xterm (>= 3.8.1-3~),
+               libjs-xterm,
                node-babel-loader,
                node-buffer,
                node-deepmerge,
@@ -40,7 +37,7 @@
                node-object-assign,
                node-po2json (>= 0.4.5-2~),
                node-postcss,
-               node-react (>= 16.13),
+               node-react,
                node-react-dom,
                node-requirejs,
                node-source-map,
@@ -51,12 +48,11 @@
                pkg-js-tools,
                python3-all,
                python3-argon2,
-               python3-entrypoints <!nocheck>,
                python3-ipykernel <!nocheck>,
                python3-ipython <!nocheck>,
                python3-ipython-genutils,
-               python3-jupyter-client (>= 5.3.4) <!nocheck>,
-               python3-jupyter-core (>= 4.6.1) <!nocheck>,
+               python3-jupyter-client <!nocheck>,
+               python3-jupyter-core <!nocheck>,
                python3-nbconvert <!nocheck>,
                python3-nbformat <!nocheck>,
                python3-nbsphinx <!nodoc>,
@@ -69,11 +65,14 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-terminado (>= 0.8.3) <!nocheck>,
-               python3-tornado (>= 6.1) <!nocheck>,
+               python3-terminado <!nocheck>,
+               python3-tornado <!nocheck>,
                python3-zmq <!nocheck>,
                webpack
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
+Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
+Homepage: https://github.com/jupyter/notebook
 Rules-Requires-Root: no
 
 Package: python3-notebook
@@ -82,10 +81,10 @@
          libjs-backbone,
          libjs-bootstrap,
          libjs-bootstrap-tour,
-         libjs-codemirror (>= 5.56),
+         libjs-codemirror,
          libjs-es6-promise,
          libjs-jed,
-         libjs-jquery (>= 3.5),
+         libjs-jquery,
          libjs-jquery-typeahead,
          libjs-jquery-ui,
          libjs-marked (>= 4.0.9~),
@@ -95,14 +94,14 @@
          libjs-requirejs-text,
          libjs-text-encoding,
          libjs-underscore,
-         libjs-xterm (>= 3.8.1-3~),
-         python3-terminado (>= 0.8.3),
+         libjs-xterm,
+         python3-terminado,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-ipykernel, python3-ipywidgets
+Recommends: python3-ipykernel,
+            python3-ipywidgets
 Suggests: python-notebook-doc
-Breaks: jupyter-nbextension-jupyter-js-widgets (<< 6.0.0-6~)
- , cadabra2 (<< 2.4.3.2-1.1~)
+Conflicts: cadabra2 (<< 2.4.3.2-1.1)
 Description: Jupyter interactive notebook (Python 3)
  The Jupyter Notebook is a web application that allows you to create and
  share documents that contain live code, equations, visualizations, and
@@ -112,10 +111,12 @@
  This package contains the Python 3 library.
 
 Package: python-notebook-doc
-Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Jupyter interactive notebook (documentation)
  The Jupyter Notebook is a web application that allows you to create and
@@ -124,6 +125,7 @@
  languages, sharing, and interactive widgets.
  .
  This package contains the documentation.
+Build-Profiles: <!nodoc>
 
 Package: jupyter-notebook
 Architecture: all
