=== debian/tests/control ===
Tests: pytest
Depends: python3-all, python3-pytest, python3-requests, python3-requests-unixsocket, @
Restrictions: allow-stderr
