=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg1,uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/notebook/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
