## jupyter-notebook 7.0.0

=== debian/changelog ===
jupyter-notebook (7.0.0-1) experimental; urgency=medium

  * New upstream version 7.0.0
  * d/patches: rebase, drop most patches which are no longer applicable
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority
  * drop d/run-tests, d/get-tests-exclusions
  * drop d/missing-sources and corresponding copyright stanzas
  * d/watch: upgrade to version 5
  * d/control, d/rules: rewrite for notebook 7
  * d/nodejs: drop most config for notebook 6, update extlinks
  * d/nodejs: add many @jupyterlab/*-extension extlinks for webpack
  * d/patches: patch out webpack-bundle-analyzer
  * d/control: add build-deps node-find-root,
    node-vscode-ws-jsonrpc, jupyter-core
  * d/patches: port fix-build.patch from jupyterlab
  * d/rules: clean bad pkgjs links after build, or building for multiple
    python version fails
  * d/rules: fix installation of labextension
  * d/control: add runtime dependency on jupyterlab
  * d/tests: tests are now in a separate top-level dir
  * d/manpages: only binary jupyter-notebook is now provided by this package,
    drop others
  * d/README.source: update for notebook v7 packaging
  * d/patches: fix resource loading with empty joinpath
  * d/lintian-overrides: drop unused

 -- Gordon Ball <gordon@chronitis.net>  Thu, 08 Jan 2026 21:53:36 +0100
