=== debian/control ===
Source: jupyter-notebook
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: python
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-nodejs,
               pybuild-plugin-pyproject,
               jupyter-core,
               jupyterlab,
               nodejs,
               node-find-root,
               node-vscode-ws-jsonrpc,
               node-typescript,
               pandoc,
               pkg-js-tools,
               python3-all,
               python3-jupyter-server,
               python3-tornado,
               python3-jupyterlab-server,
               python3-notebook-shim,
               python3-ipykernel <!nocheck>,
               python3-requests <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-pytest-jupyter <!nocheck>,
               python3-nbsphinx <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-hatch-jupyter-builder,
               python3-hatchling,
               webpack,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
Homepage: https://github.com/jupyter/notebook

Package: python3-notebook
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-ipykernel,
            python3-ipywidgets
Suggests: python-notebook-doc
Conflicts: cadabra2 (<< 2.4.3.2-1.1)
Description: Jupyter interactive notebook (Python 3)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 3 library.

Package: python-notebook-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Jupyter interactive notebook (documentation)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the documentation.
Build-Profiles: <!nodoc>

Package: jupyter-notebook
Architecture: all
Section: science
Depends: jupyter-core,
         jupyterlab,
         python3-notebook (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter interactive notebook
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package provides the jupyter subcommands "notebook", "nbextension",
 "serverextension" and "bundlerextension".
