=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-pytest,
         python3-pytest-jupyter,
         python3-pytest-timeout,
         python3-ipykernel,
         @
Restrictions: allow-stderr
