=== debian/watch ===
Version: 5
Template: GitHub
Owner: jupyter
Project: notebook
Uversion-mangle: auto
